/**
 * #####  UTILS  #####
 */
/**
 * Checks if the user role meets the minimum requirements of the route
 */
export declare function hasRole(user: any, roleRequired: any): boolean;
/**
 * Checks if the user role meets the minimum requirements of the route
 */
export declare function hasAnyRole(user: any, anyRolesRequired: any): boolean;
/**
 * Checks if the user role meets the minimum requirements of the route
 */
export declare function hasAllRoles(user: any, allRolesRequired: any): boolean;
/**
 * #####  INTERCEPTORS  #####
 */
/**
 * Checks if the user role meets the minimum requirements of the route
 */
export declare function ensureHasRole(roleRequired: any): (req: any, res: any, next: any) => void;
/**
 * Checks if the user role meets the minimum requirements of the route
 */
export declare function ensureHasAnyRole(anyRolesRequired: any): (req: any, res: any, next: any) => void;
/**
 * Checks if the user role meets the minimum requirements of the route
 */
export declare function ensureHasAllRoles(allRolesRequired: any): (req: any, res: any, next: any) => void;
