import { Model, Document, DocumentQuery } from 'mongoose';
import { Response } from 'express';
export declare function setBasicQueries(schema: any): any;
export declare function createQueryExecutor(model: Model<Document>, _queryBuilder?: (query: DocumentQuery<any, any>) => DocumentQuery<any, any>): (__queryBuilder?: any) => any;
export declare function execFindAndCount(query: any, res: Response, isLean?: boolean): (queryExecutor: any) => any;
export declare function execCount(model: Model<Document>, queryBuilder: (query: DocumentQuery<any, any>) => DocumentQuery<any, any>): Promise<any>;
export declare function execFind(model: Model<Document>, queryBuilder: (query: DocumentQuery<any, any>) => DocumentQuery<any, any>, sortBy: string, currentPage: number, perPage: number, populate: string, isLean?: boolean): Promise<any>;
export declare function execQuery(dQuery: DocumentQuery<any, any>): Promise<any>;
export declare function createFindByIdQuery(model: Model<Document>, id: any): () => DocumentQuery<Document, Document>;
export declare function execFindByIdWithQueryBuilder(model: Model<Document>, id: any, isLean?: boolean): (queryBuilder: (query: DocumentQuery<any, any>) => DocumentQuery<any, any>) => Promise<object>;
export declare function execfindOneAndUpdateWithQueryBuilder(model: Model<Document>, id: any, update: any): (queryBuilder: (query: DocumentQuery<any, any>) => DocumentQuery<any, any>) => Promise<any>;
export declare function restrictByOwner(ownerTypes: any, userId?: any, organizationCodes?: any): (query: DocumentQuery<any, any>) => DocumentQuery<any, any>;
export declare function restrictByUserOwner(user: any): (query: DocumentQuery<any, any>) => DocumentQuery<any, any>;
export declare function restrictByOrganizationOwner(user: any): (query: DocumentQuery<any, any>) => DocumentQuery<any, any>;
